:ruby
  if params[:update_action] == "update_recovery"
    error_object = @errors
  else
    error_object = {}
  end

= form_tag passwords_path, {method: 'put'} do
  = hidden_field_tag 'update_action', 'update_recovery'
  = hidden_field_tag 'view', 'recovery'
  = render 'password_field', errors: error_object, field: :current_password, show_help: true
  .btn-toolbar
    %button{type:'submit', class: 'btn btn-success'}
      = icon(:add, t(:generate_recovery_code))
